
.header{
    width: 100%;
}

.header__container{
    color: $color-text;
    margin: 0 auto;
    padding-top: 23px;
    @include flex($direction: column, $align: flex-end);
    position: relative; 
}

.button-wrapper{
    width: 44px;
    height: 37px;

    @media (min-width: $tablet-bp){
        display: none;
    }
}

.btn{
    width: 100%;
    height: 100%;
    background-color: $color-black;
    cursor: pointer;
}

.header__btn-open{
    @include flex(column, center, center);
    gap: 2px; 
}

.header__btn-close{
    @include flex($justify: center, $align: center);
    position: relative;

    display: none;
}

.header__line-cross:nth-child(2){
    position: absolute;
}



//burger-menu

.header__container-burger-menu{
    @include flex;
    display: none;
    width: 182px;
    position: absolute;
    top: 60px;
    background-color: $color-bg-menu;

    @media (min-width: $tablet-bp){
        display: none;
    }

}

.header__burger-menu{
    width: 100%;
}

.header__burger-list{
    @include flex($direction: column, $align: stretch);
    list-style: none;
    padding: 0;
    width: 100%;
}

.header__burger-item{
    padding: 4px 0 4px 13px;

    a{
        font-size: 11px;
        font-weight: 400;
        line-height: 22px;
        text-transform: uppercase;
        color: $color-text;
    }
}

.header__burger-item:hover{
    background-color: #E5E5E5;
}

.header__burger-item:active .header__burger-link{
    color: $color-link-hover;
}

//static menu

.header__container-menu{
    display: none;

    @media (min-width: $tablet-bp){
        @include flex;
        width: 100%;
    }
}

.header__menu{
    width: 100%;
}

.header__list{
    @include flex($justify: center);
    list-style: none;
    padding: 0;
    gap: 34px;

    @media(min-width: $desktop-bp){
        gap: 68px;
    }
}

.header__item{
    padding: 20px 0 20px 0;
    text-transform: uppercase;
    font-size: 11px;
}

.header__link{
    color: $color-text;
    margin: 0 auto;
}

.header__item:hover .header__link{
    color: $color-link-hover;
}

.header__image{
    margin-top: 23px;

    @media(min-width: $desktop-bp){
        margin-top: 31px;
    }
}